Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/lmdz.driver	(revision 5029)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/lmdz.driver	(revision 5117)
@@ -554,7 +554,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
 	echo '<context id="LMDZ" src="./ping_lmdz.xml"/>' >> add.tmp
-	echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
+    echo '<context id="LMDZ" src="./dr2xml_lmdz.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/opa9.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/opa9.driver	(revision 5029)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/opa9.driver	(revision 5117)
@@ -262,7 +262,7 @@
     #  <context id="nemo" src="./context_nemo.xml"/>
     echo '<context id="nemo" src="./context_nemo.xml"/>' > add.tmp
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
-	echo '<context id="nemo" src="./ping_nemo.xml"/>' >> add.tmp
-	echo '<context id="nemo" src="./dr2xml_opa9.xml"/>' >> add.tmp
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
+      echo '<context id="nemo" src="./ping_nemo.xml"/>' >> add.tmp
+	  echo '<context id="nemo" src="./dr2xml_opa9.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/orchidee.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/orchidee.driver	(revision 5029)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/orchidee.driver	(revision 5117)
@@ -147,7 +147,7 @@
     fi
     # Include xml files for output configuration if running with workflow CMIP6
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
-	echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
-	echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
+	  echo '<context id="orchidee" src="./ping_orchidee.xml"/>' >> add.tmp
+	  echo '<context id="orchidee" src="./dr2xml_orchidee.xml"/>' >> add.tmp
     fi
     cp iodef.xml iodef.xml.tmp
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/xios.driver
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/xios.driver	(revision 5029)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/xios.driver	(revision 5117)
@@ -20,5 +20,6 @@
 
 # Activate 2nd server level for CMIP6 type experiments (CMIP6 workflow)
-    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] ; then
+
+    if ( [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] || [ X"$( echo ${config_UserChoices_ExpType} | grep MR025 )" != "X" ] || [ X${config_Post_dr2xmlIPSL} = XTRUE ] ) ; then
        IGCM_comp_modifyXmlFile force iodef.xml using_server2 NONE true
     fi
